Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA659] DSA-659-1 libpam-radius-auth


Vulnerability Assessment Details

[DSA659] DSA-659-1 libpam-radius-auth

Vulnerability Assessment Summary
DSA-659-1 libpam-radius-auth

Detailed Explanation for this Vulnerability Assessment

Two problems have been discovered in the libpam-radius-auth package,
the PAM RADIUS authentication module. The Common Vulnerabilities and
Exposures Project identifies the following problems:
The Debian package accidentally installed its configuration file
/etc/pam_radius_auth.conf world-readable. Since it may possibly
contain secrets all local users are able to read them if the
administrator hasn't adjusted file permissions. This problem is
Debian specific.
Leon Juranic discovered an integer underflow in the mod_auth_radius
module for Apache which is also present in libpam-radius-auth.
For the stable distribution (woody) these problems have been fixed in
version 1.3.14-1.3.
For the unstable distribution (sid) these problems have been fixed in
version 1.3.16-3.
We recommend that you upgrade your libpam-radius-auth package.


Solution : http://www.debian.org/security/2005/dsa-659
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

Sun Fire X4200 x64 Rack Server for Linux Windows Solaris 2u Rack Server 64-bit
$335.48
Sun Fire X4200 x64 Rack Server for Linux Windows Solaris 2u Rack Server 64-bit pictureDIGI 70002403 CONNECTPORT LTS 16 LINUX TERMINAL SERVER WITH WARRANTY
$850.0
DIGI 70002403 CONNECTPORT LTS 16 LINUX TERMINAL SERVER WITH WARRANTY pictureDIGI 50001688-01 CONNECTPORT LTS 16 LINUX TERMINAL SERVER WITH WARRANTY
$850.0
DIGI 50001688-01 CONNECTPORT LTS 16 LINUX TERMINAL SERVER WITH WARRANTY pictureHP Integrity RX7640 Server AB312A AD064A AB447A AD242A AD316A HP-UX Linux IA64
$10500.0
HP Integrity RX7640 Server AB312A AD064A AB447A AD242A AD316A HP-UX Linux IA64 picture


Discussions

No Discussions have been posted on this vulnerability.